.search-container {
    text-align: center;
    margin: 20px auto;

    .page-size-container {
        margin-left: auto; 
        display: flex;
        align-items: center;
    }

    .page-size-label {
        margin-right: 10px;
    }

    .search-form {
        display: flex;
        justify-content: center;
        align-items: center;
        background-color: #f5f5f5;
        padding: 15px;
        border-radius: 5px;
        box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
    }

    .search-input {
        padding: 10px;
        border: 1px solid #ccc;
        border-radius: 5px;
        margin-right: 10px;
    }

    .search-select {
        padding: 10px;
        border: 1px solid #ccc;
        border-radius: 5px;
        margin-right: 10px;
    }

}



.digimon-list {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
}

.digimon-item {
    width: calc(100% - 20px);
    margin: 10px;
    padding: 10px;
    background-color: #f5f5f5;
    border: 1px solid #ddd;
    border-radius: 5px;
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
    cursor: pointer;
    transition: background-color 0.2s;
}

.digimon-item:hover {
    background-color: #e0e0e0;
}

.digimon-table {
    width: 100%;
    text-align: center;
}

.digimon-table td {
    padding: 10px;
}

.digimon-table img {
    max-width: 100px;
}

.load-more-button {
    padding: 20px;
    button{
        display: block;
        margin: 20px auto;
        padding: 10px 20px;
        border: none;
        border-radius: 5px;
        box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
        cursor: pointer;
        transition: background-color 0.3s ease;
        width: 150px; /* Ajusta el ancho según tus preferencias */
        text-align: center;
    }
    button:hover {
        background-color: #e0e0e0;
    }
  }
  
  
.scroll-top-button {
    position: fixed;
    bottom: 20px;
    right: 20px;
    border-radius: 50%; 
    width: 60px;
    height: 60px;
    cursor: pointer;
    transition: background-color 0.3s;
    display: flex;
    align-items: center;
    justify-content: center;
    z-index: 1000; 

  
    &:hover {
        background-color: #e0e0e0;
    }
  }
  
